<p align="center">
  <a href="" rel="noopener">
  <img 
    width=360px 
    height=62px 
    src="https://forum.trustie.net/api/attachments/373016" 
    alt="Project logo" 
    style="background-color: #1b2440">
  </a>
</p>

<h3 align="center">Gitea GitLink版本</h3>

<div align="center">

[![Status](https://img.shields.io/badge/status-active-success.svg)]()
[![GitLink Issues](https://img.shields.io/github/issues/kylelobo/The-Documentation-Compendium.svg)](https://www.gitlink.org.cn/Gitlink/gitea_hat/issues)
[![GitLink Pull Requests](https://img.shields.io/github/issues-pr/kylelobo/The-Documentation-Compendium.svg)](https://www.gitlink.org.cn/Gitlink/gitea_hat/pulls)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](/LICENSE)

</div>

---

<p align="center"> 此版本为GitLink平台使用的Git服务，该服务基于Gitea进行开发。
    <br> 
</p>

- [🧐 关于](#-关于)
- [编译](#编译)
- [运行](#运行)
- [接口文档](#接口文档)
- [⛏️ 使用](#️-使用)

## 🧐 关于

该项目是为了方便平台后续Gitea版本的升级，将个性化接口部分从Gitea中抽离出来的项目，模块定义遵循Gitea规则，目前基于Gitea v1.17.3版本。

## 编译

类Linux平台，在项目根目录运行：
```shell
# 编译Linux 64位可执行程序
CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -o gitea main.go

# 编译Windows 64位可执行程序
CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build -o gitea main.go

# 编译mac 64位可执行程序
CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 go build -o gitea main.go
```

Win平台，在项目根目录运行:
```shell
# 编译Linux 64位可执行程序
SET CGO_ENABLED=0
SET GOOS=linux
SET GOARCH=amd64
go build -o gitea main.go

...
```

## 运行

在项目根目录下运行：

```
./gitea -p 10082
```

## 接口文档
- [ApiDoc](https://www.apifox.cn/apidoc/project-1809666) - 接口文档

## ⛏️ 使用

- [Gitea](https://gitea.io/zh-cn/) - Gitea
