package structs

type Organization struct {
	ID                        int64       `json:"id"`
	Name                      string      `json:"name"`
	UserName                  string      `json:"username"`
	FullName                  string      `json:"full_name"`
	AvatarURL                 string      `json:"avatar_url"`
	Description               string      `json:"description"`
	Website                   string      `json:"website"`
	Location                  string      `json:"location"`
	Visibility                string      `json:"visibility"`
	RepoAdminChangeTeamAccess bool        `json:"repo_admin_change_team_access"`
	OwnerTeam                 interface{} `json:"owner_team"` //团队关系;
}
